ubuntu/+source/libgksu:ubuntu/precise-devel

Last commit made on 2011-12-07
Get this branch:
git clone -b ubuntu/precise-devel https://git.launchpad.net/ubuntu/+source/libgksu
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/precise-devel
Repository:
lp:ubuntu/+source/libgksu

Recent commits

b2a8f27... by Martin Pitt on 2011-12-07

Import patches-unapplied version 2.0.13~pre1-5ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 9c6de63eb375cd090b0dfe285511fd69c0c1014d

New changelog entries:
  * 02_format-security.patch: The previous fix exposed a logic flaw which
    caused a NULL pointer crash if calling sudo was successful. Fix this.
    (LP: #898874)

9c6de63... by Loïc Minier on 2011-12-01

Import patches-unapplied version 2.0.13~pre1-5ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 860d98a0bb131bc6ccaf735d18383471d33d4915

New changelog entries:
  * Merge with Debian; list our patches in new series and refresh them;
    remaining changes:
    - debian/libgksu2-0.postinst:
      + make sudo the default
    - 09_multihead.patch:
      + dim all heads
    - 11_no_save_to_keyring.patch
      + don't save to gnome-keyring by default (Ubuntu-specific)
    - 12_no_password_dialog.patch
      + don't display dialog if no password was needed (Ubuntu-specific)
    - 13_startup_notification.diff
      + make startup-notification work more reliable
    - 14_polish_startup.diff:
      + improve startup notification message (sent upstream)
    - 15_extra_paranoia_for_gconf.diff.patch
      + if no value for sudo-mode is found in gconf, default to sudo-mode
        (Ubuntu-specific)
    - 17_composited_fade.patch:
      + nice fadeout on composited display (sent upstream)
    - 18_g_markup_escape_text_for_command.patch:
      + fix missing g_markup_escape when commands are displayed (sent
        upstream)
    - 20_add_usleep.patch:
      + add small usleep() to avoid race condition when the hostname can not
        be resolved (sent upstream)
    - 21_composited_rgba_addition.patch:
      + bling (sent upstream)
    - 22_increase_gksu_helper_buf.patch:
      + make the gksu-run-helper buffer grow dynamically
    - 22_sudo_keep_env.patch:
      + if gksudo -k is used, pass the -E option to sudo to preserve the
        environment if we're allowed to do so (sent upstream)
    - 23_correct_colormap_get.patch:
      + change by Cody Russell to fix a rgba crasher.
    - 25_fix_g_str_has_prefix_assert.patch:
      + fix assert failure when not running in forkpty mode.
    - 26_restore_stderr_output.patch:
      + output stderr from the sudo child (as pre-lucid versions did).
    - 27_sudo_wrong_pwd_check.patch: Be more careful when checking the
      "wrong password" output, there might be a new prompt before.
    - 32_checknewline.patch:
      + Check if buffer is really a single newline before discarding it.
        (LP #298217)
  * Add gksu-properties/gksu-properties.desktop to debian/clean.

860d98a... by Michael Biebl on 2011-10-24

Import patches-unapplied version 2.0.13~pre1-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3ac409c4dac6e039117385b44c632d1a619634d4

New changelog entries:
  * Switch to dpkg source format 3.0 (quilt).
  * debian/control.in:
    - Wrap dependencies.
    - Remove obsolete versioned Build-Depends on dpkg-dev.
    - Add ${misc:Depends} to libgksu2-dev.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Remove obsolete Conflicts/Replaces.
  * debian/patches/02_format-security.patch:
    - Fix build failure with [-Werror=format-security]. Closes: #643423
  * debian/patches/28_ld_no_as_needed.patch:
    - Fix build failures with binutils-gold. Thanks Matthias Klose for the
      patch. Closes: #555180
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files and simplify them a bit.

3ac409c... by Josselin Mouette <email address hidden> on 2011-01-24

Import patches-unapplied version 2.0.13~pre1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 395d1f7e3fda0d034f2e228b89a97f9cd590a3c8

New changelog entries:
  * ru.po: updated Russian translation by Alexander Sashanov.
    Closes: #609130, #609141.

395d1f7... by Josselin Mouette <email address hidden> on 2010-11-21

Import patches-unapplied version 2.0.13~pre1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7dec620c221bc9e1cfa78eb1f889ba63d8f4702d

New changelog entries:
  * pt_BR.po: updated Brazilian Portuguese translation by Sérgio
    Cipolla. Closes: #601168.
  * 01_tcdrain_kfreebsd.patch: patch from Petr Salinger. Don’t use
    tcdrain on kfreebsd. Closes: #600365.

7dec620... by Josselin Mouette <email address hidden> on 2010-10-19

Import patches-unapplied version 2.0.13~pre1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d2cb136e2c3f06e16d34fcc3cfb599511c03bac2

New changelog entries:
  * 99_intltool.patch: update po/Makefile.in.in with a working intltool
    version. Closes: #599420.
  * Build-depend on intltool since it’s how it works nowadays.

d2cb136... by Gustavo Noronha Silva on 2009-06-29

Import patches-unapplied version 2.0.13~pre1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b3e40409ae546dff81f5344c4c382f5f43cbb234

New changelog entries:
  * Upstream snapshot
  - tries to address the forkpty problem, by basically turning it into a
    configure option; this should enable usage in Fedora/RedHat, while
    still working good in Debian/Ubuntu (Closes: #540176, #535544)

b3e4040... by Gustavo Noronha Silva on 2009-06-29

Import patches-unapplied version 2.0.12-1 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 6f2586ea3537bf306fd19eff28c2c28f0c944b64

New changelog entries:
  * New upstream release
  - includes fix for double free (Closes: #534844)
  * debian/control.in:
  - patch by seb128 to replace dependency on libglade with gtk+ > 2.12
    (which has GtkBuilder)
  * New upstream release
  - should work with sudo when requiretty is on (Closes: #531477)
  * debian/libgksu2-0.instal:
  - make sure to install the gksu-properties manpage (Closes: #497591)

6f2586e... by Gustavo Noronha Silva on 2009-05-10

Import patches-unapplied version 2.0.10-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1431a39e092993931f032522e83ef5dfd31b4848

New changelog entries:
  [ Josselin Mouette ]
  * Wrap build-depends.
  * Build-depend on libglib2.0-doc to ensure proper xrefs.
  [ Gustavo Noronha Silva ]
  * New upstream release.
  - adds manpage for gksu-properties (Closes: #497591)
  - fixes the off-by-one error and use of uninitialized memory
    (Closes: #525876)

1431a39... by Gustavo Noronha Silva on 2009-03-04

Import patches-unapplied version 2.0.9-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d334a129661b249841be0c2c0f2945fd3c86b676

New changelog entries:
  * New upstream release